<div class="wrap">
	<?php 
		if (! Defined ('ABSPATH')) exit; // Sair se acessado diretamente
		wp_enqueue_style('style_dashBoard', easy_color_pathOfIncludes() . 'style_dashBoard.css');
		wp_enqueue_style('style', easy_color_pathOfIncludes() . 'style.css');
		wp_enqueue_style('uk-grid', easy_color_pathOfIncludes() . 'uk-grid.css');
		wp_enqueue_style('font-awesome', easy_color_pathOfIncludes() . 'font-awesome.min.css');
	?>
	
	<style>
		.blocoDeCor{
			width: 20px; 
			height: 20px; 
			border: 1px solid;
		}
		.linkColorBloco{
			background-color: <?php echo getColors("link_color"); ?>;
		}

		.mainColorBloco{
			background-color: <?php echo getColors("main_text_color"); ?>;
		}

		.secondaryColorBloco{
			background-color: <?php echo getColors("secondary_text_color"); ?>;
		}
	</style>
	
    <h1>Easy Color</h1>
	
	<div class="container">
		<div class="">
			<form method="post">

				<div class="uk-grid uk-grid-large ">

					<div class="uk-width-1-3">	
						<fieldset>
							<div class="blocoDeCor linkColorBloco"></div>
							<legend>Add new selector to receive the link color as: </legend>
							<fieldset>
								<legend> Background-Color: </legend>
								<input id="textItemBG" class="text-field" type="text" name="newSelectorBGColor_link" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesBG_link">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToBG_link'); ?>
								</div>
							</fieldset>

							<fieldset>
								<legend> Font-Color: </legend>
								<input id="textItemFont" class="text-field" type="text" name="newSelectorToFontColor_link" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesFont_link">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToFont_link'); ?>
								</div>
							</fieldset>

							<fieldset>
								<legend> Border-Color: </legend>
								<input id="textItemBorder" class="text-field" type="text" name="newSelectorToBorderColor_link" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesBorder_link">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToBorder_link'); ?>
								</div>
							</fieldset>
						</fieldset>	
					</div>


					<div class="uk-width-1-3">
						<fieldset>
							<div class="blocoDeCor mainColorBloco"></div>
							<legend>Add new selector to receive the main color as: </legend>
							<fieldset>
								<legend> Background-Color: </legend>
								<input id="textItemBG" class="text-field" type="text" name="newSelectorBGColor_main" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesBG_main">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToBG_main'); ?>
								</div>
							</fieldset>

							<fieldset>
								<legend> Font-Color: </legend>
								<input id="textItemFont" class="text-field" type="text" name="newSelectorToFontColor_main" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesFont_main">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToFont_main'); ?>
								</div>
							</fieldset>

							<fieldset>
								<legend> Border-Color: </legend>
								<input id="textItemBorder" class="text-field" type="text" name="newSelectorToBorderColor_main" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesBorder_main">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToBorder_main'); ?>
								</div>
							</fieldset>
						</fieldset>	
					</div>


					<div class="uk-width-1-3">
						<fieldset>
							<div class="blocoDeCor secondaryColorBloco"></div>
							<legend>Add new selector to receive the secondary text color as: </legend>
							<fieldset>
								<legend> Background-Color: </legend>
								<input id="textItemBG" class="text-field" type="text" name="newSelectorBGColor_secondary" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesBG_secondary">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToBG_secondary'); ?>
								</div>
							</fieldset>

							<fieldset>
								<legend> Font-Color: </legend>
								<input id="textItemFont" class="text-field" type="text" name="newSelectorToFontColor_secondary" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesFont_secondary">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToFont_secondary'); ?>
								</div>
							</fieldset>

							<fieldset>
								<legend> Border-Color: </legend>
								<input id="textItemBorder" class="text-field" type="text" name="newSelectorToBorderColor_secondary" placeholder="New Selector">
								<!-- <input id="button_add" class="button button-primary" type="button" value="Add"> -->
								<br>
								<div class="listaDeClassesBorder_secondary">
									<?php echo easy_color_getClassesOnBd('easyColorSelectorsCSSToBorder_secondary'); ?>
								</div>
							</fieldset>
						</fieldset>
					</div>
				</div>
				
				
				
				
				
				
				
				
				
				
				<br>
				<hr>
				
				<input class="button button-primary" type="submit" name="save" value="Save">
				<?php wp_nonce_field('saveClass', 'saveNonce'); ?>
				<input class="button button-primary" type="submit" name="delete" value="Delete">
				<?php wp_nonce_field('deleteClass', 'deleteOtherNonce'); ?>
			</form>
		
			
			
		</div>
		
		<div class="bloco_do_menu">
			
		</div>
	</div>

	<script>
		// LINK
		criaLista('.listaDeClassesBG_link');
		criaLista('.listaDeClassesFont_link');
		criaLista('.listaDeClassesBorder_link');
		// MAIN
		criaLista('.listaDeClassesBG_main');
		criaLista('.listaDeClassesFont_main');
		criaLista('.listaDeClassesBorder_main');
		// SECONDARY
		criaLista('.listaDeClassesBG_secondary');
		criaLista('.listaDeClassesFont_secondary');
		criaLista('.listaDeClassesBorder_secondary');

		function criaLista(nomeDalista){
			var listaDeClasses = document.querySelector(nomeDalista);
			var lista = listaDeClasses.innerHTML.split(',');
			listaDeClasses.innerHTML = '';

			var ul = document.createElement('ul');
			listaDeClasses.appendChild(ul);

			for(item of lista){
				var li = document.createElement('li');
				var text = document.createTextNode(item);
				li.appendChild(text);
				ul.appendChild(li);
			}

		}

	</script>
	

	

</div>



<?php
	
	

	// Verifica se o form foi chamado
	if($_SERVER['REQUEST_METHOD']=='POST')
	{
		//$nonceDelete = $_POST['delete'];
		//$nonceSave = $_POST['save'];
		//echo $nonceDelete ."<br>". $nonceSave. "<br>";

		if ( ! isset( $_POST['deleteOtherNonce'] ) || ! wp_verify_nonce( $_POST['deleteOtherNonce'], 'deleteClass' ) ||  ! isset( $_POST['saveNonce'] ) || ! wp_verify_nonce( $_POST['saveNonce'], 'saveClass' ) ) {
			die( __( 'Não fez', 'textdomain' ) ); 
	
		}
		
		if(isset($_POST["delete"])){
			easy_color_removeClassOnTable();
		}
		
		if(isset($_POST["save"])){
			easy_color_insertClassOnTable();
		}

		echo "<hr>";
		//easy_color_getClassesOnBd();

		header("Refresh:0"); // Recarrega a página

	} 
?>


